Get list of customers based on filters and columns
GET
/cms/customer
const url = 'https://api.example.com/cms/customer';const options = {method: 'GET', headers: {'API-Key': '<API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.example.com/cms/customer \ --header 'API-Key: <API-Key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters” Various query parameters
string
Refer to /revenue/customer page in the backend and copy the constructed URL parameters for filtering and column selection.
Responses
Section titled “Responses”List of customers
Media typeapplication/json
object
data
Report rows as shown on the /revenue/customer backend page. The set of keys depends on the selected columns; all values are strings. The default columns are listed below.
Array<object>
object
id
string
name
string
email
string
userType
string
creationDate
MySQL date (Y-m-d)
string
subscription_status
Comma-separated subscription status labels
string
nextRenewal
Comma-separated MySQL dates (Y-m-d)
string
subscriptions
Comma-separated subscription group codes (empty string when none)
string
key
additional properties
any
page
Current page number
integer
Example
{ "data": [ { "id": "654217", "name": "John Doe", "email": "john@example.com", "userType": "free", "creationDate": "2026-08-14", "subscription_status": "Active, On hold", "nextRenewal": "2026-10-18, 2027-01-05", "subscriptions": "olj_basic, premium" } ], "total": "213592"}